import 'package:dio/dio.dart';
import 'package:shared_preferences/shared_preferences.dart';

class CustomDio {
  var _dio;

  CustomDio() {
    _dio = Dio();
  }

  CustomDio.withAuthentication() {
    _dio = Dio();
    _dio.interceptors.add(InterceptorsWrapper(
        onRequest: _onRequest, onResponse: _onRespose, onError: _onError));
  }

  Dio get instance => _dio;

  _onRequest(RequestOptions options) async {
    SharedPreferences prefs = await SharedPreferences.getInstance();
     var token01= prefs.get('token');
     var token = 'Bearer $token01';
  
    options.headers['Authorization'] = token;
  }

  _onError(DioError e) {
    print(e);
    return e;
  }

  _onRespose(Response e) {
    print('########### Response Log');
    print(e.data);
    print('########### Response Log');
  }
}
